Handle BPMN Error
curl --request POST \
--url http://{host}:{port}/{contextPath}/task/{id}/bpmnError \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"errorCode": "bpmn-error-543",
"errorMessage": "anErrorMessage",
"variables": {
"aVariable": {
"value": "aStringValue",
"type": "String"
},
"anotherVariable": {
"value": true,
"type": "Boolean"
}
}
}
'import requests
url = "http://{host}:{port}/{contextPath}/task/{id}/bpmnError"
payload = {
"errorCode": "bpmn-error-543",
"errorMessage": "anErrorMessage",
"variables": {
"aVariable": {
"value": "aStringValue",
"type": "String"
},
"anotherVariable": {
"value": True,
"type": "Boolean"
}
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
errorCode: 'bpmn-error-543',
errorMessage: 'anErrorMessage',
variables: {
aVariable: {value: 'aStringValue', type: 'String'},
anotherVariable: {value: true, type: 'Boolean'}
}
})
};
fetch('http://{host}:{port}/{contextPath}/task/{id}/bpmnError', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"userId": "<string>",
"missingAuthorizations": [
{
"permissionName": "<string>",
"resourceName": "<string>",
"resourceId": "<string>"
}
],
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}任务
处理BPMN错误
Reports a business error in the context of a running task by id. The error code must be specified to identify the BPMN error handler. See the documentation for Reporting Bpmn Error in User Tasks.
POST
/
task
/
{id}
/
bpmnError
Handle BPMN Error
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the task a BPMN error is reported for.
Body
application/json
Response
Request successful.
⌘I